Update comment
POST
/api/v1/comment/{id}
const url = 'https://example.com/api/v1/comment/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"text":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/comment/example \ --header 'Content-Type: application/json' \ --data '{ "text": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
text
string
Example generated
{ "text": "example"}Responses
Section titled “ Responses ”Comment updated
Media type application/json
object
id
required
Comment ID (15 chars)
string
text
required
string
author
required
Author user ID (15 chars)
string
trail
required
Trail ID (15 chars)
string
created
string format: date-time
updated
string format: date-time
Example generated
{ "id": "example", "text": "example", "author": "example", "trail": "example", "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z"}Bad Request
Not Found
Internal Server Error